function MqttJsonGroupUpdatePage()
{
	var SaveGlobalVariable = function(Row){MqttJsonGroupUpdatePage.prototype._SaveGlobalVariable_(Row);};
	var IsSaveGlobalVariable = function(){return MqttJsonGroupUpdatePage.prototype._IsSaveGlobalVariable_();};
	var ShowFirstPage = function(){MqttJsonGroupUpdatePage.prototype._ShowFirstPage_();};
	this.Initialization = function(){MqttJsonGroupUpdatePage.prototype._Initialization_();};
}










function MqttJsonGroupFirstPage()
{
  var AutomaticGroupName = function(){MqttJsonGroupFirstPage.prototype._AutomaticGroupName_();};
  var RemoveRtuToMqttJsonGroupName = function(GroupName){MqttJsonGroupFirstPage.prototype._RemoveRtuToMqttJsonGroupName_(GroupName);};
  var RemoveTcpToMqttJsonGroupName = function(GroupName){MqttJsonGroupFirstPage.prototype._RemoveTcpToMqttJsonGroupName_(GroupName);};
  var RemoveAsciiToMqttJsonGroupName = function(GroupName){MqttJsonGroupFirstPage.prototype._RemoveAsciiToMqttJsonGroupName_(GroupName);};
  var RemoveGroup = function(number){MqttJsonGroupFirstPage.prototype._RemoveGroup_(number);};
  //初始化
  var InitialMqttJsonGroupObject = function(that){MqttJsonGroupFirstPage.prototype._InitialMqttJsonGroupObject_(that);};
  this.ChangeAllCheckbox = function(that){MqttJsonGroupFirstPage.prototype._ChangeAllCheckbox_(that);};
  //取值
  var GetAllNumber = function(){return MqttJsonGroupFirstPage.prototype._GetAllNumber_();};  
  //判斷
  this.IsTickedGroup = function(){return MqttJsonGroupFirstPage.prototype._IsTickedGroup_();};
  var IsNameRepeat = function(){return MqttJsonGroupFirstPage.prototype._IsNameRepeat_(Name);};
  //表格
  var ShowTable = function(ObjectKey, DisplayNumber){MqttJsonGroupFirstPage.prototype._ShowTable_(ObjectKey, DisplayNumber);};
  //工具列
  var UpdateTableToolbar = function(ObjectKey, DisplayNumber){MqttJsonGroupFirstPage.prototype._UpdateTableToolbar_(ObjectKey, DisplayNumber);};  
  this.ShowPreviousPage  = function(){MqttJsonGroupFirstPage.prototype._ShowPreviousPage_();};
  this.ShowNextPage      = function(){MqttJsonGroupFirstPage.prototype._ShowNextPage_();};
  //介面
  this.RedisplayUi       = function(){MqttJsonGroupFirstPage.prototype._RedisplayUi_();};
  //按鈕
  this.EditButton = function(that){MqttJsonGroupFirstPage.prototype._EditButton_(that);};
  this.SaveButton = function(that){MqttJsonGroupFirstPage.prototype._SaveButton_(that);};
  this.AddNewRow  = function(that){MqttJsonGroupFirstPage.prototype._AddNewRow_(that);};
  this.DeleteRow  = function(that){MqttJsonGroupFirstPage.prototype._DeleteRow_(that);};
  //檢查
  this.CheckGroupName = function(that){MqttJsonGroupFirstPage.prototype._CheckGroupName_(that);};

  this.Initialization = function(){MqttJsonGroupFirstPage.prototype._Initialization_();};  
  //傳輸
  var TransmissionJson = function(ssocket, Command, JsonString, Callback){MqttJsonGroupFirstPage.prototype._TransmissionJson_(ssocket, Command, JsonString, Callback);};
  var SaveFinished = function(that, ssocket){MqttJsonGroupFirstPage.prototype._SaveFinished_(that, ssocket);};
  var SaveStart = function(that, ssocket){MqttJsonGroupFirstPage.prototype._SaveStart_(that, ssocket);};
}










function MqttJsonGroupSecondPage()
{
  //判斷
  var IsNameRepeat = function(Name){return MqttJsonGroupFirstPage.prototype._IsNameRepeat_(Name);};
  //取值
  var GetMqttConnection = function(){return MqttJsonGroupSecondPage.prototype._GetMqttConnection_();};
  //交集 差集
  var ArrayInteraction = function(FirstArray, SecondArray){return MqttJsonGroupSecondPage.prototype._ArrayInteraction_(FirstArray, SecondArray);};  
  //介面
  this.ConfirmButton = function(that){MqttJsonGroupSecondPage.prototype._ConfirmButton_(that);};
  this.NoConfirmButton = function(){MqttJsonGroupSecondPage.prototype._NoConfirmButton_();};
  //全域變數 或 物件
  var ModifyMqttJsonGroupObject= function(number){MqttJsonGroupSecondPage.prototype._ModifyMqttJsonGroupObject_(number);};
  //MQTT連線
  var LoadBroker = function(number){MqttJsonGroupSecondPage.prototype._LoadBroker_(number);};
  var AddBrokerHtml = function(Table, RemoteNumber){MqttJsonGroupSecondPage.prototype._AddBrokerHtml_(Table, RemoteNumber);};
  //向下相容
  var CheckGlobalVariableValueExist = function(number){MqttJsonGroupSecondPage.prototype._CheckGlobalVariableValueExist_(number);};
  //設定
  var SetFormInitialValue = function(number){MqttJsonGroupSecondPage.prototype._SetFormInitialValue_(number);};
  var SetInitialValue = function(number){MqttJsonGroupSecondPage.prototype._SetInitialValue_(number);};
  var SetBrokerValue = function(number, Table, RemoteNumber){MqttJsonGroupSecondPage.prototype._SetBrokerValue_(number, Table, RemoteNumber);};
  var SetLocalBrokerName = function(Tr, obj, BrokerName){MqttJsonGroupSecondPage.prototype._SetLocalBrokerName_(Tr, obj, BrokerName);};
  var SetRemoteBrokerName = function(Tr, obj, RemoteNumber, BrokerName){MqttJsonGroupSecondPage.prototype._SetRemoteBrokerName_(Tr, obj, RemoteNumber, BrokerName);};
//  var SetAzureBrokerName = function(Tr, obj, AzureNumber, BrokerName){MqttJsonGroupSecondPage.prototype._SetRemoteBrokerName_(Tr, obj, AzureNumber, BrokerName);}
  //檢查
  this.CheckGroupName = function(that){MqttJsonGroupSecondPage.prototype._CheckGroupName_(that);};
  this.CheckScanRate = function(that){MqttJsonGroupSecondPage.prototype._CheckScanRate_(that);};
  this.CheckDeadBand = function(that){MqttJsonGroupSecondPage.prototype._CheckDeadBand_(that);};
  this.CheckMqttConnection = function(that){MqttJsonGroupSecondPage.prototype._CheckMqttConnection_(that);};
  this.CheckTopic = function(that){MqttJsonGroupSecondPage.prototype._CheckTopic_(that);};
  //取代
  var ModifyGlobalVariable = function(OldGroupName, NewGroupName){MqttJsonGroupSecondPage.prototype._ModifyGlobalVariable_(OldGroupName, NewGroupName);};
  var ModifyRtuToMqttJsonGroupName = function(OldGroupName, NewGroupName){MqttJsonGroupSecondPage.prototype._ModifyRtuToMqttJsonGroupName_(OldGroupName, NewGroupName);};
  var ModifyTcpToMqttJsonGroupName = function(OldGroupName, NewGroupName){MqttJsonGroupSecondPage.prototype._ModifyTcpToMqttJsonGroupName_(OldGroupName, NewGroupName);};
  var ModifyAsciiToMqttJsonGroupName = function(OldGroupName, NewGroupName){MqttJsonGroupSecondPage.prototype._ModifyAsciiToMqttJsonGroupName_(OldGroupName, NewGroupName);};
}